#ifndef server_impl_h__
#define server_impl_h__ 1

#include "Server.h"

typedef struct
{
  POA_Fresco_Glyph servant;
  PortableServer_POA poa;
  Fresco_Glyph body_;
}
impl_POA_Fresco_Glyph;

typedef struct
{
  POA_Fresco_Traversal servant;
  PortableServer_POA poa;

}
impl_POA_Fresco_Traversal;

typedef struct
{
  POA_Fresco_GlyphFactory servant;
  PortableServer_POA poa;
}
impl_POA_Fresco_GlyphFactory;

typedef struct
{
  POA_Fresco_Screen servant;
  PortableServer_POA poa;
}
impl_POA_Fresco_Screen;

typedef struct
{
  POA_Fresco_Server servant;
  PortableServer_POA poa;
  Fresco_GlyphFactory factory_;
  Fresco_Screen screen_;
}
impl_POA_Fresco_Server;


Fresco_Glyph impl_Fresco_Glyph__create (PortableServer_POA poa,
					CORBA_Environment * ev);

void impl_Fresco_Glyph__destroy (impl_POA_Fresco_Glyph * servant,
				 CORBA_Environment * ev);

Fresco_Traversal impl_Fresco_Traversal__create (PortableServer_POA poa,
						CORBA_Environment * ev);
void impl_Fresco_Traversal__destroy (impl_POA_Fresco_Traversal * servant,
				     CORBA_Environment * ev);

Fresco_GlyphFactory impl_Fresco_GlyphFactory__create (PortableServer_POA poa,
						      CORBA_Environment * ev);
void impl_Fresco_GlyphFactory__destroy (impl_POA_Fresco_GlyphFactory *
					servant, CORBA_Environment * ev);

Fresco_Screen impl_Fresco_Screen__create (PortableServer_POA poa,
					  CORBA_Environment * ev);
void impl_Fresco_Screen__destroy (impl_POA_Fresco_Screen * servant,
				  CORBA_Environment * ev);

Fresco_Server impl_Fresco_Server__create (PortableServer_POA poa,
					  CORBA_Environment * ev);
void impl_Fresco_Server__destroy (impl_POA_Fresco_Server * servant,
				  CORBA_Environment * ev);

#endif /* server_impl_h__ */
