#ifndef server_impl_hh__
#define server_impl_hh__ 1

#ifdef USE_TAO
#include "ServerC.h"
#include "ServerS.h"
#endif

#ifdef USE_OMNI
#include "Server.hh"
#endif

#ifdef USE_ORBACUS
#include <OB/CORBA.h>
#include "Server.h"
#include "Server_skel.h"
#endif

using namespace Fresco;

class ScreenImpl : public POA_Fresco::Screen
{
public:
  virtual CORBA::Long traverse (CORBA::Long, Traversal_ptr, Glyph_ptr);
};

class ServerImpl : public POA_Fresco::Server
{
public:
  ServerImpl ();

  virtual GlyphFactory_ptr get_factory ();
  virtual Screen_ptr get_screen ();
protected:
  GlyphFactory_var factory_;
  Screen_var screen_;
};

#endif /*  server_impl_hh__ */
