#include "Server-impl.h"
#include <stdio.h>

int main (int argc, char* argv[])
{
  char *ior;

  CORBA_ORB orb;
  CORBA_Environment ev;
  Fresco_Server server;
  PortableServer_POA poa;

  orb = CORBA_ORB_init (&argc, argv, "orbit-local-orb", &ev);
  poa = (PortableServer_POA) CORBA_ORB_resolve_initial_references (orb, "RootPOA",&ev);
  PortableServer_POAManager_activate (PortableServer_POA__get_the_POAManager(poa, &ev), &ev);
 
  server = impl_Fresco_Server__create (poa, &ev);

  ior = CORBA_ORB_object_to_string (orb, server, &ev);

  printf (ior);
  fflush (stdout);

  CORBA_ORB_run (orb, &ev);
}
